AM263Px MCU+ SDK: UART_EdmaChConfig Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
UART_EdmaChConfig Struct Reference

## Data Fields
void * | drvHandle
uint32_t | edmaTccRx
uint32_t | edmaTccTx
uint32_t | edmaTccDummy
uint32_t | edmaRxChId
uint32_t | edmaTxChId
uint32_t | edmaRxParam
uint32_t | edmaTxParam
uint32_t | edmaDummyParam
uint32_t | edmaRegionId
uint32_t | edmaBaseAddr
Edma_IntrObject | edmaIntrObjRx
Edma_IntrObject | edmaIntrObjTx
Edma_IntrObject | edmaIntrObjDummy
uint32_t | isOpen

## Field Documentation

## ◆ drvHandle

void* UART_EdmaChConfig::drvHandle

EDMA driver handle

## ◆ edmaTccRx

uint32_t UART_EdmaChConfig::edmaTccRx

EDMA TCC used for UART RX transfer

## ◆ edmaTccTx

uint32_t UART_EdmaChConfig::edmaTccTx

EDMA TCC used for UART TX transfer

## ◆ edmaTccDummy

uint32_t UART_EdmaChConfig::edmaTccDummy

EDMA TCC used for UART Dummy transfer

## ◆ edmaRxChId

uint32_t UART_EdmaChConfig::edmaRxChId

EDMA Channel used for UART RX transfer

## ◆ edmaTxChId

uint32_t UART_EdmaChConfig::edmaTxChId

EDMA Channel used for UART TX transfer

## ◆ edmaRxParam

uint32_t UART_EdmaChConfig::edmaRxParam

EDMA Param ID used for UART RX transfer

## ◆ edmaTxParam

uint32_t UART_EdmaChConfig::edmaTxParam

EDMA Param ID used for UART TX transfer

## ◆ edmaDummyParam

uint32_t UART_EdmaChConfig::edmaDummyParam

EDMA Param ID used for UART Dummy transfer

## ◆ edmaRegionId

uint32_t UART_EdmaChConfig::edmaRegionId

EDMA Region used for UART transfer

## ◆ edmaBaseAddr

uint32_t UART_EdmaChConfig::edmaBaseAddr

EDMA Base address used for UART transfer

## ◆ edmaIntrObjRx

Edma_IntrObject UART_EdmaChConfig::edmaIntrObjRx

EDMA UART RX Interrupt object

## ◆ edmaIntrObjTx

Edma_IntrObject UART_EdmaChConfig::edmaIntrObjTx

EDMA UART TX Interrupt object

## ◆ edmaIntrObjDummy

Edma_IntrObject UART_EdmaChConfig::edmaIntrObjDummy

EDMA UART Dummy Interrupt object

## ◆ isOpen

uint32_t UART_EdmaChConfig::isOpen

Flag to indicate whether the DMA instance is opened already